<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright (C) 2015 The Android Open Source Project
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
-->
<!-- This manifest is for LiveTv -->

<manifest xmlns:android="http://schemas.android.com/apk/res/android"
     xmlns:tools="http://schemas.android.com/tools"
     package="com.android.tv">

    <application android:name="com.android.tv.app.LiveTvApplication"
         android:allowBackup="true"
         android:appComponentFactory="android.support.v4.app.CoreComponentFactory"
         android:banner="@drawable/live_tv_banner"
         android:icon="@drawable/ic_tv_app"
         android:label="@string/app_name"
         android:supportsRtl="true"
         android:theme="@style/Theme.TV"
         tools:replace="android:appComponentFactory">

        <!-- providers are listed here to keep them separate from the internal versions -->
        <provider android:name="com.android.tv.search.LocalSearchProvider"
            android:authorities="com.android.tv.search"
            android:enabled="true"
            android:exported="true">
            <meta-data android:name="SupportedSwitchActionType"
                android:value="CHANNEL"/>
        </provider>

        <activity android:name="com.android.tv.MainActivity"
             android:configChanges="keyboard|keyboardHidden|screenSize|smallestScreenSize|screenLayout|orientation"
             android:launchMode="singleTask"
             android:resizeableActivity="true"
             android:screenOrientation="landscape"
             android:supportsPictureInPicture="true"
             android:theme="@style/Theme.TV.MainActivity"
             android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.VIEW"/>
                <category android:name="android.intent.category.DEFAULT"/>
                <data android:mimeType="vnd.android.cursor.item/program"
                      android:scheme="content"
                      android:host="android.media.tv"
                      android:pathPrefix="/program" />
                <data android:mimeType="vnd.android.cursor.dir/program"
                     android:scheme="content"
                      android:host="android.media.tv"
                      android:pathPrefix="/program" />
                <data android:mimeType="vnd.android.cursor.item/channel"
                      android:scheme="content"
                      android:host="android.media.tv"
                      android:pathPrefix="/channel" />
                 <data android:mimeType="vnd.android.cursor.dir/channel"
                      android:scheme="content"
                      android:host="android.media.tv"
                      android:pathPrefix="/channel" />
            </intent-filter>
            <intent-filter>
                <action android:name="android.media.tv.action.SETUP_INPUTS"/>
                <category android:name="android.intent.category.DEFAULT"/>
            </intent-filter>
            <intent-filter>
                <action android:name="android.intent.action.SEARCH"/>
            </intent-filter>
            <meta-data android:name="supports_leanback"
                 android:value="true"/>
            <meta-data android:name="android.app.searchable"
                 android:resource="@xml/searchable"/>
        </activity>
    </application>

</manifest>
